﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data.SqlServerCe;
using System.IO;
using System.Data;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Data;

namespace HierarchyDemo
{
    
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        
        public MainWindow()
        {
            InitializeComponent();            
            this.dataGrid.Model.Table.RecordExpanded += Table_RecordExpanded;            
        }
      

        void Table_RecordExpanded(object sender, GridDataValueEventArgs<GridDataRecord> e)
        {           
            e.Value.ChildModels[0].Table.RecordsSelectionChanged += Table_RecordsSelectionChanged;
        }

        void Table_RecordsSelectionChanged(object sender, GridDataRecordsSelectionChangedEventArgs e)
        {
            vm.Selectitem = ((sender as GridDataTable).Model as GridDataChildTableModel).ChildGridSelectedItem;
        }

       
    }
}
