﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace HierarchyDemo
{
    public class ChildCollection : INotifyPropertyChanged
    {

        private string productid;
        public string ProductID
        {
            get { return productid; }
            set
            {
                productid = value;
                OnPropertyChanged("productid");
            }
        }

        private int supplierid;
        public int SupplierID
        {
            get
            { return supplierid; }
            set
            {
                supplierid = value;
                OnPropertyChanged("supplierid");
            }
        }

        private string catogoryid;
        public string CategoryID
        {
            get { return catogoryid; }
            set
            {
                catogoryid = value;
                OnPropertyChanged("Catogoryid");
            }
        }

        private string productname;
        public string ProductName
        {
            get { return productname; }
            set
            {
                productname = value;
                OnPropertyChanged("productname");
            }
        }

        private string englishname;
        public string EnglishName
        {
            get { return englishname; }
            set
            {
                englishname = value;
                OnPropertyChanged("englishname");
            }
        }

        private string qpu;
        public string QuantityPerUnit
        {
            get { return qpu; }
            set
            {
                qpu = value;
                OnPropertyChanged("qpu");
            }
        }

        private string price;
        public string UnitPrice
        {
            get { return price; }
            set
            {
                price = value;
                OnPropertyChanged("price");
            }
        }

        private string uis;
        public string UnitsInStock
        {
            get { return uis; }
            set
            {
                uis = value;
                OnPropertyChanged("uis");
            }
        }

        private string uoo;
        public string UnitsOnOrder
        {
            get { return uoo; }
            set
            {
                uoo = value;
                OnPropertyChanged("uoo");
            }
        }

        private string level;
        public string ReorderLevel
        {
            get { return level; }
            set
            {
                level = value;
                OnPropertyChanged("level");
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyname)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyname));
        }
    }
}

