﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
namespace HierarchyDemo
{
    public class ParentCollection : INotifyPropertyChanged
    {

        public ParentCollection()
        {
            employeedetails = new ObservableCollection<ChildCollection>();
           
        }


        private int supplierid;
        public int SupplierID
        {
            get
            { return supplierid; }
            set
            {
                supplierid = value;
                OnPropertyChanged("supplierid");
            }
        }

        private string name;
        public string ContactName
        {
            get { return name; }
            set
            {
                name = value;
                OnPropertyChanged("name");
            }
        }

        private string title;
        public string ContactTitle
        {
            get { return title; }
            set
            {
                title = value;
                OnPropertyChanged("title");
            }
        }

        private string region;
        public string Region
        {
            get { return region; }
            set
            {
                region = value;
                OnPropertyChanged("region");
            }
        }

        private string city;
        public string City
        {
            get { return city; }
            set
            {
                city = value;
                OnPropertyChanged("city");
            }
        }

        private string code;
        public string PostalCode
        {
            get { return code; }
            set
            {
                code = value;
                OnPropertyChanged("code");
            }
        }

        private string country;
        public string Country
        {
            get { return country; }
            set
            {
                country = value;
                OnPropertyChanged("country");
            }
        }

        private string phone;
        public string Phone
        {
            get { return phone; }
            set
            {
                phone = value;
                OnPropertyChanged("phone");
            }
        }

        private ObservableCollection<ChildCollection> employeedetails;
        public ObservableCollection<ChildCollection> Employeedetails
        {
            get
            { return employeedetails; }
            set
            {
                employeedetails = value;
                OnPropertyChanged("employeedetails");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyname)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyname));
        }

    }
}
