﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Data;
using Syncfusion.Windows.Controls.Grid;

using Syncfusion.Windows.Shared;

using System.Collections.ObjectModel;

namespace HierarchyDemo
{
    public class ViewModel : INotifyPropertyChanged
    {

        public ViewModel()
        {
            employee = new ObservableCollection<ParentCollection>();
            employee.Add(new ParentCollection() { SupplierID = 2201, ContactName = "Shakul", ContactTitle = "Syncfusion", Region = "India", City = "CHENNAI", PostalCode = "6007", Country = "india", Phone = "1245", Employeedetails = LoadData(2201) });
            //employee.Add(new ParentCollection() { SupplierID = 2201, ContactName = "Shakul", ContactTitle = "Syncfusion", Region = "India", City = "CHENNAI", PostalCode = "6007", Country = "india", Phone = "1245", Employeedetails = LoadData(2201) });
            employee.Add(new ParentCollection() { SupplierID = 2202, ContactName = "Hameed", ContactTitle = "Syncfusion", Region = "India", City = "Chennai", PostalCode = "6009", Country = "india", Phone = "1345", Employeedetails = LoadData(2202) });
            employee.Add(new ParentCollection() { SupplierID = 2203, ContactName = "Raja", ContactTitle = "Syncfusion", Region = "India", City = "CHENNAI", PostalCode = "6001", Country = "india", Phone = "12345", Employeedetails = LoadData(2203) });
            employee.Add(new ParentCollection() { SupplierID = 2204, ContactName = "Andrew", ContactTitle = "Syncfusion", Region = "UK", City = "London", PostalCode = "6005", Country = "india", Phone = "1235", Employeedetails = LoadData(2204) });
            employee.Add(new ParentCollection() { SupplierID = 2205, ContactName = "David", ContactTitle = "Syncfusion", Region = "India", City = "CHENNAI", PostalCode = "6001", Country = "india", Phone = "12345", Employeedetails = LoadData(2205) });
            employee.Add(new ParentCollection() { SupplierID = 2206, ContactName = "Clay", ContactTitle = "Syncfusion", Region = "India", City = "CHENNAI", PostalCode = "6001", Country = "UK", Phone = "12345", Employeedetails = LoadData(2206) });
            employee.Add(new ParentCollection() { SupplierID = 2207, ContactName = "Santhosh", ContactTitle = "Syncfusion", Region = "UK", City = "London", PostalCode = "6004", Country = "india", Phone = "1234", Employeedetails = LoadData(2207) });
            employee.Add(new ParentCollection() { SupplierID = 2208, ContactName = "Thomas", ContactTitle = "Syncfusion", Region = "India", City = "CHENNAI", PostalCode = "6009", Country = "UK", Phone = "12345", Employeedetails = LoadData(2208) });
            employee.Add(new ParentCollection() { SupplierID = 2209, ContactName = "Lessan", ContactTitle = "Syncfusion", Region = "UK", City = "London", PostalCode = "6001", Country = "india", Phone = "12345", Employeedetails = LoadData(2209) });

        }
        public ObservableCollection<ChildCollection> LoadData(int SupplierID)
        {

            var employeeDetails1 = new ObservableCollection<ChildCollection>();

            for (int i = 1; i < 5; i++)
            {
                
                
                
                    employeeDetails1.Add(new ChildCollection()
                       {
                           SupplierID = SupplierID,
                           ProductID = "Prod" + i,
                           CategoryID = "sync" + i,
                           ProductName = "Product" + i,
                           EnglishName = "Product Name" + i,
                           QuantityPerUnit = "009",
                           UnitPrice = "110",
                           UnitsInStock = "171",
                           UnitsOnOrder = "171",
                           ReorderLevel = "171",
                       });
                
            }
            return employeeDetails1;
        }

        private ObservableCollection<ParentCollection> employee;
        public ObservableCollection<ParentCollection> Employee
        {
            get
            { return employee; }
            set
            {
                employee = value;
                OnPropertyChanged("employee");
            }
        }
        private object select;
        public object Selectitem
        {
            get
            { return select; }
            set
            {
                select = value;
                OnPropertyChanged("Select");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string Propertyname)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(Propertyname));
        }

    }
}